<template>
    <div />
</template>

<script setup>
import { onMounted } from 'vue'
import { useRoute, useRouter } from 'vue-router'

const router = useRouter()
const useRoutes = useRoute()

defineOptions({
    name: 'HcJump',
})

//渲染完成
onMounted(() => {
    const { page, query } = useRoutes.query
    router.push({
        path: page,
        query: query ? JSON.parse(query) : {},
    })
})
</script>
